petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPFCGSetNprealloc

set the number of directions to preallocate with FCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGSetNprealloc(KSP ksp,PetscInt nprealloc)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| nprealloc | - the number of vectors to preallocate

### Options Database

-ksp_fcg_nprealloc <N> -

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGGetNprealloc()

Level:advanced
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages